Returns all client applications.

GEThttps://api.awork.com/api/v1/clientapplications
GET https://api.awork.com/api/v1/clientapplications

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Responses

200 OK

application/json

clientIdstring or nullOptional

The client application's identifier.

displayNamestring or nullOptional

The client application's display name.

redirectUrisarray of string or nullOptional

The redirect URIs.

isConfidentialbooleanOptional

Indicates whether the client application is confidential. Backend integrations are considered confidential as the secret is never shipped to a user, while web apps or CLI integrations are not.

createdOnstringOptional
format: date-time

The date this entity was created.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

Search documentation